/* STYLES GENERAUX */
.pa .pablock{
  background: var(--transp_1);
  padding: 16px;
  overflow: hidden;
}
.pa .container {
  background: var(--neutral_1);
  border-radius: 8px;
  font-size: 13px;
  height: 100%;
}
.pa .scroll::-webkit-scrollbar-thumb {
  background: linear-gradient(to bottom, var(--co2), var(--co1_light));
}
.pa h2.titre {
  font-family: var(--special-font);
  font-size: 20px;
  line-height: 24px;
  color: var(--tx_contrast);
}
.pa h2.titre:after,
.pa h3.titre:after{
  display: block;
  content: " ";
  position: relative;
  top: 8px;
  height: 1px;
  width: 44px;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 100%);
}
.pa h3{
  border: 0px !important;
  margin: 0px !important;
  padding: 0px !important;
}
.pa .small {
  font-size: 10px;
  line-height: 16px;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  font-weight: 500;
  color: var(--tx_contrast);
}


/* STYLES INDIVIDUELS */
.pa_line1 {
  display: grid;
  grid-template-columns: 571px auto;
  grid-gap: 24px;
}
.pa_line1 .block1{ 
  display: grid;
  grid-template-columns: 80px auto;
  grid-gap: 1px;
  border-radius: 16px;
  overflow: hidden;
  box-shadow: var(--boxshadow);
  backdrop-filter: blur(6px);
}
.pa .pa_img{ background: var(--neutral_1); }
.pa .pa_img:before{
  content: " ";
  display: block;
  background-size: cover;
  background-position: center;
  filter: grayscale(1);
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.4;
  transition: var(--transi);
}
.pa .pa_img:hover:before{ filter: grayscale(0); }
.pa_contexte .container{
  display: grid;
  grid-template-rows: 32px auto;
  grid-gap: 16px;
}
.pa_contexte .contenu{
  height: 80px;
  overflow: auto;
  font-size: 12px;
  color: rgba(135, 135, 135, 1);
  line-height: 18px;
  padding-right: 8px;
}
.pa_contexte .contenu strong{ 
  color: var(--tx_contrast);
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.02em;
  font-weight: 600;
}
.pa_line1 .block2{
  border-radius: 16px;
  overflow: hidden;
  display: grid;
  grid-template-columns: auto 88px;
  grid-gap: 1px;
  box-shadow: var(--boxshadow);
  backdrop-filter: blur(6px);
}
.pa_compet .container{
  display: grid;
  grid-template-rows: 24px auto;
  grid-gap: 16px;
}
.pa_compet .titre:after{
  display: block;
  content: " ";
  position: relative;
  top: 8px;
  height: 1px;
  width: 44px;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 100%);
}
.pa .maison{
  display: grid;
  grid-gap: 8px;
  align-items: center;
  grid-template-columns: 20px auto max-content max-content;
}
.pa .maison:before {
  display: block;
  width: 20px;
  height: 20px;
  color: white;
  border-radius: 4px;
  text-align: center;
  line-height: 20px;
  font-weight: 500;
}
.pa .maison.doj:before{
  content: "土";
  background: var(--doj);
}
.pa .maison.doj > span:first-child:after{
  content: "土仁";
}
.pa .maison.fug:before{
  content: "風";
  background: var(--fug);
}
.pa .maison.fug > span:first-child:after{
  content: "風義";
}
.pa .maison.hii:before{
  content: "火";
  background: var(--hii);
}
.pa .maison.hii > span:first-child:after{
  content: "火勇";
}
.pa .maison.rai:before{
  content: "雷";
  background: var(--rai);
}
.pa .maison.rai > span:first-child:after{
  content: "雷誉";
}
.pa .maison.sui:before{
  content: "水";
  background: var(--sui);
}
.pa .maison.sui > span:first-child:after{
  content: "水誠";
}
.pa .maison > span:first-child{
  font-family: var(--special-font);
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 20px;
  text-transform: uppercase;
  color: var(--tx_contrast);
  position: relative;
  top: -1px;
}
.pa .maison > span:first-child:after {
  display: inline-block;
  font-size: 8px;
  letter-spacing: 1px;
  line-height: 10px;
  font-family: var(--jp-font);
  text-orientation: mixed;
  writing-mode: vertical-lr;
  font-weight: 600;
  margin-left: 6px;
  position: relative;
  top: 1px;
  border-radius: 12px;
  color: var(--tx_content);
}

.pa .jauge{
  height: 4px;
  border-radius: 2px;
  display: grid;
  grid-gap: 1px;
}
.pa .jauge > div{ position: relative; }
.pa .jauge .doj{ background-color: var(--doj); border-radius: 2px 0px 0px 2px; }
.pa .jauge .fug{ background-color: var(--fug); }
.pa .jauge .hii{ background-color: var(--hii); }
.pa .jauge .rai{ background-color: var(--rai); }
.pa .jauge .sui{ background-color: var(--sui); border-radius: 0px 2px 2px 0px; }

.pa .jauge > div:before{
  position: absolute;
  display: block;
  color: white;
  padding: 0px 4px;
  border-radius: 4px;
  height: 16px;
  text-transform: uppercase;
  top: -24px;
  left: calc((100% - 88px)/2);
  letter-spacing: 0.02em;
  font-size: 9px;
  line-height: 16px;
  font-weight: 600;
  transform: scale(0%);
  transform-origin: bottom center;
  opacity: 0;
  transition: var(--transi);
  text-align: center;
  width: 88px;
}
.pa .jauge > div.doj:before{ background-color: var(--doj); }
.pa .jauge > div.fug:before{ background-color: var(--fug); }
.pa .jauge > div.hii:before{ background-color: var(--hii); }
.pa .jauge > div.rai:before{ background-color: var(--rai); }
.pa .jauge > div.sui:before{ background-color: var(--sui); }

.pa .jauge > div:hover:before{
  transform: scale(100%);
  opacity: 1;
}
.pa .maison > a{
  width: 20px;
  line-height: 20px;
  height: 20px;
  text-align: center;
  font-size: 16px;
  padding: 2px 0px;
  background-color: var(--neutral_2);
  color: var(--tx_content);
  border-radius: 4px;
  display: inline-block;
  transition: var(--transi);
  font-weight: 500;
}
.pa .maison > a:hover{
  color: white;
  background-color: var(--co2);
  font-weight: 600;
}

.pa .palier {
  display: grid;
  grid-gap: 8px;
  align-items: center;
  grid-template-columns: max-content auto max-content;
}
.pa .palier > span:first-child{
  display: flex;
  gap: 8px;
  align-items: center;
}
.pa .palier > span:first-child ion-icon{ font-size: 16px; }
.pa .palier .posi{ color: var(--doj); }
.pa .palier .neg{ color: var(--hii); }
.pa .palier > a{
  color: var(--tx_contrast);
  padding: 0px 6px;
  border-radius: 4px;
  line-height: 20px;
  display: inline-block;
  border: 1px solid var(--tx_contrast);
  background: transparent;
  transition: var(--transi);
  font-weight: 500;
}
.pa .palier > a:hover{
  border: 1px solid var(--co2);
  background: var(--co2);
  color: white;
  font-weight: 600;
}

.pa .pa_topsites{
  background: var(--neutral_1);
  padding: 16px;
  display: grid;
  grid-gap: 8px;
  grid-template-columns: 20px 28px;
  font-size: 10px;
}
.pa_topsites .boutons{
  gap: 8px;
  display: flex;
  flex-direction: column;
}
.pa_topsites .boutons > a{
  display: block;
  text-align: center;
  width: 20px;
  height: 20px;
  border-radius: 4px;
  background: var(--neutral_2);
  line-height: 20px;
  font-weight: 500;
  color: var(--tx_content);
  transition: var(--transi);
}
.pa_topsites .boutons > a:hover{
  background-color: var(--co2);
  color: white;
  font-weight: 600;
}
.pa_topsites .titre{
  display: grid;
  grid-gap: 8px;
  grid-template-rows: 94px auto 16px;
  align-items: center;
  justify-content: center;
}
.pa_topsites .titre > span{
  display: block;
  line-height: 28px;
  height: 94px;
  text-orientation: sideways;
  writing-mode: vertical-rl;
  text-orientation: mixed;
}
.pa_topsites .titre > hr{
  transform: rotate(90deg);
  height: 1px;
  width: auto;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 100%);
  border: 0 none transparent;
}
.pa_topsites .titre > ion-icon{
  align-self: center;
  text-align: center;
  justify-self: center;
}

/* PA LIGNE 2 */
.pa_line2{
  display: grid;
  grid-template-columns: 716px auto;
  grid-gap: 24px;
}
.pa_line2 .block1{ 
  display: grid;
  grid-template-columns: 80px auto 144px;
  grid-gap: 1px;
  border-radius: 16px;
  overflow: hidden;
  box-shadow: var(--boxshadow);
  backdrop-filter: blur(6px);
}
.pa_meteo {
  /* background: linear-gradient(180deg, rgba(var(--co2_rgb), 0) 0%, rgba(var(--co2_rgb), 0.2) 100%), var(--neutral_1); */
  background-color: var(--neutral_1);
  padding: 16px 8px;
  font-size: 10px;
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-gap: 8px;
  justify-content: space-between;
  align-content: space-between;
}
.pa_meteo .saison{
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
  justify-content: flex-start;
  text-align: center;
}
.pa_meteo .saison ion-icon{ font-size: 16px; }
.pa_meteo .temps{
  display: grid;
  text-align: center;
  grid-template-rows: 16px 24px 16px;
  grid-gap: 8px;
  justify-content: center;
  align-items: end;
  align-content: end;
}
.pa_meteo .temps > hr{
  margin: auto;
  height: 24px;
  width: 1px;
  border: 0px;
  background: linear-gradient(to bottom, var(--co2) 0%, var(--co1) 100%);
}

.pa_news{
  padding: 16px;
  background: var(--transp_1);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 8px;
}
.pa_news > a{
  background: var(--neutral_1);
  border-radius: 8px;
  height: 179px;
  width: 100%;
  position: relative;
  overflow: hidden;
}
.pa_news > a > img{
  position: absolute;
  width: 102%;
  height: 102%;
  object-fit: cover;
  z-index: 1;
  opacity: 0.7;
  transform: scale(100%);
  transition: var(--transi);
  filter: grayscale(1);
}
.pa_news > a:hover > img{ transform: scale(110%); filter: grayscale(0); }

.pa_news > a > span {
  position: absolute;
  top: 0px;
  left: 0px;
  display: flex;
  width: 100%;
  height: 100%;
  padding: 16px 12px;
  z-index: 2;
  flex-direction: column;
  gap: 8px;
  justify-content: flex-end;
  text-align: left;
  transition: var(--transi);
}
body.dark .pa_news > a > span { background-color: var(--transp_1); }
body.light .pa_news > a > span { background-color: var(--transp_3); }

.pa_news > a > span > span:first-child{
  font-family: var(--special-font);
  font-size: 20px;
  line-height: 24px;
  font-feature-settings: 'ss04' on;
  color: var(--tx_contrast);
}
.pa_news > a > span > span{ 
  transition: var(--transi);
  color: var(--tx_contrast);
}
.pa_news > a > span:after{
  display: block;
  content: " ";
  position: relative;
  height: 1px;
  width: 44px;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 50%, var(--co2) 100%);
  background-size: 200%;
  background-position: center left;
  transition: var(--transi);
}
.pa_news > a:hover > span:after{
  background-position: center right;
}

.pa_mdm {
  background: var(--neutral_1);
  padding: 16px;
  display: grid;
  grid-template-rows: 44px auto;
  grid-gap: 1px;
}
.pa_mdm .titre:after{
  display: block;
  content: " ";
  position: relative;
  top: 8px;
  height: 1px;
  width: 44px;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 100%);
}
.pa_mdm .container{
  padding: 0;
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-gap: 1px;
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
}
.pa_mdm .container > a{
  width: 112px;
  height: 66px;
  position: relative;
  overflow: hidden;
}
.pa_mdm .container > a > img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  filter: grayscale(1) blur(0px);
  transition: var(--transi);
}
.pa_mdm .container > a > nom{
  display: flex;
  z-index: 2;
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: var(--transp_1);
  text-align: center;
  align-items: center;
  justify-content: center;
  opacity: 0;
  color: var(--tx_contrast);
  transition: var(--transi);
  font-family: var(--special-font);
  letter-spacing: 0;
  font-size: 16px;
  text-transform: initial;
}
.pa_mdm .container > a:hover > nom{ opacity: 1; }
.pa_mdm .container > a:hover > img{ filter: grayscale(1) blur(2px); }

.pa_line2 .actus_pls{
  padding: 16px;
  border-radius: 16px;
  background: var(--transp_1);
  display: grid;
  grid-gap: 16px;
  grid-template-rows: 27px auto;
  backdrop-filter: blur(6px);
  box-shadow: var(--boxshadow);
  overflow: hidden;
}
.pa_line2 .actus_pls .titre:after{
  display: block;
  content: " ";
  position: relative;
  top: 8px;
  height: 1px;
  width: 44px;
  background: linear-gradient(to left, var(--co2) 0%, var(--co1) 100%);
}
.pa_line2 .actus_pls div{
  max-height: 136px;
  overflow-x: auto;
  padding-right: var(--spacing-s);
}
.pa_line2 .actus_pls a{
  background-color: var(--neutral_1);
  margin-bottom: var(--spacing-xs);
  height: 24px;
  line-height: 20px;
  position: relative;
  overflow: hidden;
  text-align: left;
  display: block;
  padding: 11px var(--spacing-s);
  font-weight: 500;
  color: var(--tx_contrast);
  border-radius: var(--spacing-xs);
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  transition: var(--transi);
  min-height: 16px;
}
.pa_line2 .actus_pls a:hover { background-color: var(--neutral_1); }
.pa_line2 .actus_pls a:hover span.pa_pls_author{ top: 1px; }

.pa_line2 .actus_pls a span.pa_pls_title,
.pa_line2 .actus_pls a span.pa_pls_author{ 
  position: absolute;
  transition: var(--transi);
  color: var(--tx_contrast);
}
.pa_line2 .actus_pls a span.pa_pls_title { top: 3px; }
.pa_line2 .actus_pls a:hover span.pa_pls_title { top: -25px; }

.pa_line2 .actus_pls a span.pa_pls_author { top: 25px; }
.pa_line2 .actus_pls a:hover span.pa_pls_author { top: 2px; }

.pa_line2 .actus_pls a span.pa_pls_author author {
  top: 20px;
  font-family: var(--secondary-font);
  font-size: initial;
  text-transform: lowercase;
  font-style: italic;
  font-weight: 400;
  text-shadow: 0 0 var(--spacing-xs) white;
  color: var(--tx_content);
}

.pa_line2 .actus_pls div::-webkit-scrollbar-thumb,
.pa_line2 .context_description_content::-webkit-scrollbar-thumb{
  background: linear-gradient(to bottom, var(--co2), var(--co1_light));
}
.pa_line2 .actus_pls a:last-of-type { margin-bottom: 0px; }

/* PA LIGNE STAFF */
.pa_line3 {
  background: var(--transp_1);
  border-radius: 16px;
  padding: 16px;
  display: grid;
  grid-template-columns: 56px auto 500px;
  grid-gap: 16px;
  box-shadow: var(--boxshadow);
  backdrop-filter: blur(6px);
}
.pa_staff{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 8px;
}
.pa_staff > a{
  width: 100%;
  height: 48px;
  border-radius: 4px;
  overflow: hidden;
  position: relative;
}
.pa_staff > a > img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: grayscale(1);
}
.pa_staff > a > span{
  opacity: 0;
  transition: var(--transi);
  display: flex;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: transparent;
  text-align: center;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 10px;
  backdrop-filter: blur(2px);
  padding: 0px;
  color: white!important;
}
.pa_staff > a:hover > span{
  opacity: 1;
  backdrop-filter: blur(6px);
  background: var(--transp_1);
}
.pa_line3 > span{
  font-size: 11px;
  color: var(--tx_content);
  line-height: 16px;
  opacity: 0.5;
  align-self: center;
}
.pa_line3 > span strong{
  text-transform: uppercase;
}
